View Issue Details

IDProjectCategoryView StatusLast Update
0000162FreeCADFeaturepublic2017-02-10 05:07
Reporterwmayer Assigned Towmayer  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.13 
Summary0000162: Suggestion on view mouse movements
DescriptionHi.

>From some other CADs, specially ECADs, i want to suggest a particular
simple feature to better the moving and/or rotation on the scene.

Mouse wheel is used to zoom.
In an ECAD, that i use (Proteus), i found simpler as in many other
ECADs, to move the view with the same mouse wheel, not-clicking on it.

Zoom-out works as expected.
Zoom-in does not do zoom-in to the center of the widget, but to where
the mouse is placed in.
That means, if the mouse does zoom-in when it is on a corner, it will
zoom-in to THAT corner and not to the center.

It allows me to:

Zoom-out and see the whole panorama.
Point to my object of interest, and zoom-in to it.... Without clicking
on the wheel, which in most mouses is a little hard.


The normal behavior of moving by clicking on the wheel should also
work as normal.

What do you think?

It gets very handy to use the wheel to zoom AND to move.
TagsNo tags attached.
FreeCAD Information

Activities

wmayer

2012-02-28 19:13

administrator   ~0001678

Done in 2348a70d25e2895627e285b1c445f3bee3e176bd

Issue History

Date Modified Username Field Change
2010-10-03 07:01 wmayer New Issue
2010-10-03 07:01 wmayer Status new => assigned
2010-10-03 07:01 wmayer Assigned To => wmayer
2012-02-28 19:13 wmayer Note Added: 0001678
2012-02-28 19:13 wmayer Status assigned => closed
2012-02-28 19:13 wmayer Resolution open => fixed
2012-02-28 19:13 wmayer Fixed in Version => 0.13
2017-02-10 05:07 Kunda1 Relationship added related to 0001029
2017-02-10 05:07 Kunda1 Relationship deleted related to 0001029